import type { Quotes } from '@/composables/engine.d'
import { useUserinfoStore } from "@/stores/UserinfoStore"

export async function getQuotes(): Promise<Quotes> {
  const userInfoStore = useUserinfoStore()
  const response = await this.callApi('/api/getQuotes', {
    g: userInfoStore.gameId,
  })

  return response.quotes
}

export async function deleteQuote(id: string): Promise<void> {
  const userInfoStore = useUserinfoStore()
  await this.callApi('/api/removeQuote', {
    g: userInfoStore.gameId,
    id,
  })
}

export async function saveQuote(id: string, quote: string): Promise<void> {
  const userInfoStore = useUserinfoStore()
  await this.callApi('/api/saveQuote', {
    g: userInfoStore.gameId,
    id,
    quote,
  })
}
